View Issue Details

IDProjectCategoryView StatusLast Update
0015351LazarusLCLpublic2010-10-18 20:59
ReporterAlexsanderAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0015351: Screen.Cursor from a TGroupBox fails
Description1. Create a new project (on Linux Ubuntu 9.04)
2. Place a TGroupBox
3. Place a TButton inside the TGroupBox
4. Copy the following code into TButton.Click

  Screen.Cursor := crSQLWait;
  Application.ProcessMessages;
  Sleep(1000);
  Screen.Cursor := crHourGlass;
  Application.ProcessMessages;
  Sleep(1000);
  Screen.Cursor := crDefault;
  Application.ProcessMessages;

5. Run the project, click the button. The cursor will change from crSQLWait to crHourGlass, then to crDefault. Now move the cursor around the form: while inside the GroupBox (but outside the Button) the cursor will be crHourGlass; in all other areas of the form it will be the crDefault.

Example included.
TagsNo tags attached.
Fixed in Revision23153
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

2009-12-15 14:39

 

bugreport.tgz (160,971 bytes)

Paul Ishenin

2009-12-17 05:07

manager   ~0033129

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-12-15 14:39 Alexsander New Issue
2009-12-15 14:39 Alexsander File Added: bugreport.tgz
2009-12-15 14:39 Alexsander Widgetset => GTK 2
2009-12-17 05:07 Paul Ishenin Fixed in Revision => 23153
2009-12-17 05:07 Paul Ishenin LazTarget => -
2009-12-17 05:07 Paul Ishenin Status new => resolved
2009-12-17 05:07 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-17 05:07 Paul Ishenin Resolution open => fixed
2009-12-17 05:07 Paul Ishenin Assigned To => Paul Ishenin
2009-12-17 05:07 Paul Ishenin Note Added: 0033129
2010-10-18 20:59 Alexsander Status resolved => closed